# Generated from fakeweb-fi-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fakeweb-fi

Name: rubygem-%{gem_name}
Version: 1.3.1
Release: 1%{?dist}
Summary: A tool for faking responses to HTTP requests
License: MIT
URL: https://github.com/chrisk/fakeweb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mocha) >= 1.0
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(mocha) < 0.11.0
# BuildRequires: rubygem(mocha) > 0.11.0
# BuildRequires: rubygem(mocha) < 0.10.3
# BuildRequires: rubygem(mocha) > 0.10.3
# BuildRequires: rubygem(mocha) < 0.10.2
# BuildRequires: rubygem(mocha) > 0.10.2
# BuildRequires: rubygem(ZenTest) >= 4.9
# BuildRequires: rubygem(ZenTest) < 5
# BuildRequires: rubygem(sdoc)
# BuildRequires: rubygem(simplecov) >= 0.7
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov-console) >= 0.1
# BuildRequires: rubygem(simplecov-console) < 1
# BuildRequires: rubygem(json) >= 1.7
# BuildRequires: rubygem(json) < 2
# BuildRequires: rubygem(test-unit) >= 3.2
# BuildRequires: rubygem(test-unit) < 4
BuildArch: noarch

%description
FakeWeb is a helper for faking web requests in Ruby. It works at a global
level, without modifying code or writing extensive stubs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README.rdoc

%changelog
* Mon Sep 13 2021 mockbuilder - 1.3.1-1
- Initial package
